"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Template = void 0;

var _Featuredescriptioncarousel = _interopRequireDefault(require("./Featuredescriptioncarousel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable */
var _default = {
  title: "Signup/descriptionCarousel",
  component: "Featuredescriptioncarousel",
  argTypes: {
    carouselBg: {
      control: "color",
      description: "Change carousel background color",
      type: {
        summary: "string"
      }
    },
    headingColor: {
      control: "color",
      description: "Change heading color",
      type: {
        summary: "string"
      }
    },
    paraColor: {
      control: "color",
      description: "Change paragraph color",
      type: {
        summary: "string"
      }
    },
    headingTextSize: {
      description: "Select heading text size",
      control: {
        type: "select",
        options: ["small", "medium", "large"]
      }
    },
    paraTextSize: {
      description: "Select paragraph text size",
      control: {
        type: "select",
        options: ["small", "medium", "large"]
      }
    },
    headingLabel: {
      description: "Header Contents",
      type: {
        summary: "text"
      }
    },
    paraLabel: {
      description: "Paragraph Contents",
      type: {
        summary: "text"
      }
    }
  }
};
exports.default = _default;

const Template = args => /*#__PURE__*/React.createElement(_Featuredescriptioncarousel.default, args);

exports.Template = Template;
Template.args = {
  carouselBg: "rgba(89, 126, 247, 1)",
  headingColor: "white",
  paraColor: "white",
  headingLabel: "HCI Inbox",
  paraLabel: "Description about HC Inbox Feature",
  headingTextSize: "medium",
  paraTextSize: "medium"
};
Template.story = {
  name: "Featuredescriptioncarousel"
};